ETEX(1)

NAME
etex, einitex, evirtex - extended TeX

SYNOPSIS
etex [options] [commands]

DESCRIPTION
This manual page is not meant to be exhaustive. The complete documentation for this version of TeX can be found in the info file or manual Web2C: A TeX implementation.

e-TeX is the first concrete result of an international research & development project, the NTS Project, which was established under the aegis of DANTE e.V. during 1992. The aims of the project are to perpetuate and develop the spirit and philosophy of TeX, whilst respecting Knuth's wish that TeX should remain frozen.

e-TeX can be used in two different modes: in compatibility mode it is supposed to be completely interchangable with standard TeX. In extended mode several new primitives are added that facilitate (among other things) bidirectional typesetting.

An extended mode format is generated by prefixing the name of the source file for the format with an asterisk (*). Such formats are often prefixed with an `e', hence etex as the extended version of tex and elatex as the extended version of latex. However, eplain is an exception to this rule.

The einitex and evirtex commands are e-TeX's analogues to the initex and virtex commands. In this installation, they are symlinks to the etex executable.

e-TeX's handling of its command-line arguments is similar to that of TeX.

OPTIONS
This version of e-TeX understands the following command line options.

--efmt format
    Use format as the name of the format to be used, instead of the name by which e-TeX was called or a %& line.

--help
    Print help message and exit.

--ini
    Be einitex, for dumping formats; this is implicitly true if the program is called as einitex.

--interaction mode
    Sets the interaction mode. The mode can be one of batchmode, nonstopmode, scrollmode, and errorstopmode. The meaning of these modes is the same as that of the corresponding \commands.

--ipc
    Send DVI output to a socket as well as the usual output file. Whether this option is available is the choice of the installer.

--ipc-start
    As --ipc, and starts the server at the other end as well. Whether this option is available is the choice of the installer.

--kpathsea-debug bitmask
    Sets path searching debugging flags according to the bitmask. See the Kpathsea manual for details.

--maketex fmt
    Enable mktexfmt, where fmt must be one of tex or tfm.

--mltex
    Enable MLTeX extensions.

--no-maketex fmt
    Disable mktexfmt, where fmt must be one of tex or tfm.

--output-comment string
    Use string for the DVI file comment instead of the date.

--progname name
    Pretend to be program name. This affects both the format used and the search paths.

--shell-escape
    Enable the \write18{command} construct. The command can be any Bourne shell command. This construct is normally disallowed for security reasons.

--version
    Print version information and exit.

ENVIRONMENT
See the Kpathsearch library documentation (the `Path specifications' node) for precise details of how the environment variables are used. The kpsewhich utility can be used to query the values of the variables.

One caveat: In most e-TeX formats, you cannot use ~ in a filename you give directly to e-TeX, because ~ is an active character, and hence is expanded, not taken as part of the filename. Other programs, such as , do not have this problem.

TEXMFOUTPUT
    Normally, e-TeX puts its output files in the current directory. If any output file cannot be opened there, it tries to open it in the directory specified in the environment variable TEXMFOUTPUT. There is no default value for that variable. For example, if you say tex paper and the current directory is not writable, if TEXMFOUTPUT has the value /tmp, e-TeX attempts to create /tmp/paper.log (and /tmp/paper.dvi, if any output is produced.)

TEXINPUTS
    Search path for \input and \openin files. This should probably start with ``.'', so that user files are found before system files.

TEXFONTS
    Search path for font metric (.tfm) files.

TEXFORMATS
    Search path for format files.

TEXPOOL
    search path for einitex internal strings.

TEXEDIT
    Command template for switching to editor. The default, usually vi, is set when e-TeX is compiled.

FILES
The location of the files mentioned below varies from system to system. Use the kpsewhich utility to find their locations.

etex.pool
    Encoded text of e-TeX's messages.

texfonts.map
    Filename mapping definitions.

*.tfm
    Metric files for e-TeX's fonts.

*.efmt
    Predigested e-TeX format (.efmt) files.

BUGS
This version of e-TeX fails to trap arithmetic overflow when dimensions are added or subtracted. Cases where this occurs are rare, but when it does the generated DVI file will be invalid.

SEE ALSO
tex(1), mf(1), undump(1).